ru.bitel.bgbilling.modules.rurupay.common.bean

## Enum RuRuPayCancelReason

- java.lang.Object
- - java.lang.Enum<RuRuPayCancelReason>
  - - ru.bitel.bgbilling.modules.rurupay.common.bean.RuRuPayCancelReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RuRuPayCancelReason>, ListItem

      public enum RuRuPayCancelReason
      extends java.lang.Enum<RuRuPayCancelReason>
      implements ListItem

  Код причины отказа от резервирования.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT`
    `LOWMANY`
    `SYSERROR`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Код для сохранения в базе.
    `int` | `getId()`
    `java.lang.String` | `getTitle()` Заголовок статуса, для отображения пользователю.
    `static RuRuPayCancelReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RuRuPayCancelReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLIENT

          public static final RuRuPayCancelReason CLIENT

    - #### SYSERROR

          public static final RuRuPayCancelReason SYSERROR

    - #### LOWMANY

          public static final RuRuPayCancelReason LOWMANY

    - #### UNKNOWN

          public static final RuRuPayCancelReason UNKNOWN

  - ### Method Detail

    - #### values

          public static RuRuPayCancelReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RuRuPayCancelReason c : RuRuPayCancelReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RuRuPayCancelReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Код для сохранения в базе. Для передачи меж клиентом и сервером итд чаще используется текстовое обозначение енум-константы.

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `ListItem`

    - #### getTitle

          public java.lang.String getTitle()

      Заголовок статуса, для отображения пользователю.
      Specified by:
        `getTitle` in interface `ListItem`